#include <IRremote.h>
int RECV_PIN = 5; 

IRrecv irrecv(RECV_PIN);

decode_results results;

void setup()
{
  Serial.begin(9600);
  irrecv.enableIRIn();
}


void dump(decode_results *results) {
  // Dumps out the decode_results structure.
  
  Serial.print("(");
  Serial.print(results->bits, DEC);
  Serial.print(" bits)");
  
  switch (results->decode_type) {
    case UNKNOWN:
      Serial.print("Unknown encoding: ");
      break;
    case NEC:
      Serial.print("Decoded NEC: ");
      break;
    case SONY:
      Serial.print("Decoded SONY: ");
      break;
    case RC5:
      Serial.print("Decoded RC5: ");
      break;
    case RC6:
      Serial.print("Decoded RC6: ");
      break;
    case LG:
      Serial.print("Decoded LG: ");
      break;
    case JVC:
      Serial.print("Decoded JVC: ");
      break;
    case WHYNTER:
      Serial.print("Decoded WHYNTER: ");
      break;
    case SAMSUNG:
      Serial.print("Decoded SAMSUNG: ");
      break;
    case SHARP:
      Serial.print("SHARP: ");
      break;
    case DISH:
      Serial.print("Decoded DISH: ");
      break;
    case DENON:
      Serial.print("Decoded DENON: ");
      break;
    case LEGO_PF:
      Serial.print("Decoded LEGO_PF: ");
      break;
  }
  Serial.print(results->value, HEX);
  Serial.print(" (HEX) , ");
  Serial.print(results->value, BIN);
  Serial.println(" (BIN)");

}

void loop() {
  if (irrecv.decode(&results)) {
    dump(&results);
    irrecv.resume();
  }
  delay(300);
}